View Issue Details

IDProjectCategoryView StatusLast Update
0000546bareos-core[All Projects] webuipublic2016-02-17 17:07
ReportersmerchAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version 
Fixed in Version 
Summary0000546: Webui fails, when open tab “job”, if there is more than 104 jobid in bareos database
DescriptionIf the number of "jobid" in bareos-dir database becomes more than 104, then if you open the tab "jobs", webui fails, and starts working only after reboot bareos-dir and reducing the number of "jobid" to 104 or less.
Restart bareos-dir without reducing the amount of "jobid" allows to work with all tabs except the tab "job".
Everything else works without any problems
Webacula also works without any problems.
I don't see any errors in log of the bareos-dir in this time.
Additional Informationtests on bareos-webui 15.2.1 or bareos-webui 15.4.0
and bareos-director 15.2.1, bareos-common 15.2.1 (amd deb packet)
DB postgresql 9.4
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

frank

frank

2015-11-05 12:39

manager   ~0001917

Do you get a result if you switch to api json via ".api 2" command and execute "llist jobs" in bconsole or is it empty?
smerch

smerch

2015-11-05 13:30

reporter   ~0001919

In bconsole I executed command ".api 2", after this I executed command "llist jobs" and I see all jobs in output.
Also, I noticed that the tab "job" normally works, if the number of "jobid" in bareos-dir database becomes more than 148.
frank

frank

2015-12-18 12:38

manager   ~0002044

Is this still an issue after updating to latest version bareos-dir and bareos-webui?
frank

frank

2016-01-22 15:38

manager   ~0002152

Is this still an issue after updating to latest version of bareos-dir and bareos-webui?

Issue History

Date Modified Username Field Change
2015-10-27 09:01 smerch New Issue
2015-10-27 09:01 smerch Status new => assigned
2015-10-27 09:01 smerch Assigned To => frank
2015-10-28 15:45 frank Status assigned => acknowledged
2015-11-05 12:39 frank Note Added: 0001917
2015-11-05 13:30 smerch Note Added: 0001919
2015-12-18 12:38 frank Note Added: 0002044
2015-12-18 12:40 frank Status acknowledged => feedback
2016-01-22 15:38 frank Note Added: 0002152
2016-02-17 17:07 frank Status feedback => closed
2016-02-17 17:07 frank Assigned To frank =>
2016-02-17 17:07 frank Resolution open => fixed